Debian Bug report logs - #305864
ntp logcheck rule is wrong and doesn't support ipv6

version graph

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Jasper Spaans <jasper@vs19.net>

Date: Fri, 22 Apr 2005 16:03:07 UTC

Severity: minor

Found in version 1:4.2.0a+stable-8

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#305864; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Jasper Spaans <jasper@vs19.net>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jasper Spaans <jasper@vs19.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ntp logcheck rule is wrong and doesn't support ipv6
Date: Fri, 22 Apr 2005 17:53:42 +0200
[Message part 1 (text/plain, inline)]
Package: ntp
Version: 1:4.2.0a+stable-8
Severity: minor

When using ntp and logcheck with IPv6 upstream ntp-servers, things go
wrong: there's lots of

Apr 22 16:37:30 spaans ntpd[6586]: synchronized to 2001:968:1::6666, stratum 1

being mailed to the admin.

Upon inspection of the relevant logcheck-rules, I also found a minor
mistake: for IPv4 addresses, the used regex was [0-9.]{7,15} which will
match anything between 7 and 15 characters, since . is the wildcard
operator, which in this case needs to be escaped.

First try at a patch attached, other ntp-* packages might need similar
fixes.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.12-rc2-git
Locale: LANG=nl_NL.UTF-8@euro, LC_CTYPE=nl_NL.UTF-8@euro (charmap=UTF-8)

Versions of packages ntp depends on:
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libcap1                     1:1.10-14    support for getting/setting POSIX.
ii  libreadline5                5.0-10       GNU readline and history libraries
ii  libssl0.9.7                 0.9.7e-3     SSL shared libraries
ii  perl-modules                5.8.4-8      Core Perl modules
ii  psmisc                      21.6-1       Utilities that use the proc filesy

-- no debconf information

-- 
Jasper Spaans                                       http://jsp.vs19.net/
 17:50:58 up 10292 days,  8:37, 0 users, load average: 5.10 5.81 5.88
         There already is an object oriented version of COBOL.
             It's called "ADD ONE TO COBOL GIVING COBOL."
[ntp-logcheck-ntp (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <debian-ntp@gag.com>:
Bug#305864; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Uwe Storbeck <uwe@ibr.ch>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <debian-ntp@gag.com>. Full text and rfc822 format available.

Message #10 received at 305864@bugs.debian.org (full text, mbox):

From: Uwe Storbeck <uwe@ibr.ch>
To: 305864@bugs.debian.org
Subject: ntpdate: wrong logcheck rule
Date: Tue, 5 Jul 2005 00:49:58 +0200
The logcheck rule for ntpdate also does not match any longer (at least
for version ntpdate 1:4.2.0a+stable-2, delivered with sarge).


logcheck rule in /etc/logcheck/ignore.d.server/ntpdate:

ntpdate\[[0-9]+\]: adjust time server .* offset


ntpdate log message:

Jul  4 18:58:07 c2 ntpdate[23667]: step time server 129.132.2.21 offset 1.371264 sec




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#305864; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Jamie McClelland <jm@mayfirst.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 305864@bugs.debian.org (full text, mbox):

From: Jamie McClelland <jm@mayfirst.org>
To: 305864@bugs.debian.org
Subject: etch update
Date: Tue, 29 Aug 2006 09:39:09 -0400
I'm running Etch.

The only log message I'm getting from ntpd is:

Aug 28 17:34:04 chavez ntpd[23551]: synchronized to 209.216.230.30, stratum 2

In /etc/logcheck/ignore.d.server there is the ntp file with:

ntpd\[[0-9]+\]: adjust time server .* offset

Perhaps the following line should be added:

^\w{3} [ :0-9]{11} [a-z0-9A-Z\-]+ ntpd\[[0-9]+\]: synchronized to
[0-9a-fA-F.:]+, stratum [0-9]+$

This covers both ip4 and ip6. Also - in response to the first bug, the . does
not have to be escaped if it's between brackets:

echo "cd" | egrep '[ab.]+'

outputs nothing.




Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jasper Spaans <jasper@vs19.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 305864-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 305864-close@bugs.debian.org
Subject: Bug#305864: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305864@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 05:39:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:13:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.